<template>
  <ul class="styled-list u-mb-30">
    <li v-for="user in USERS" :key="user._id">
      <router-link
        class="button is-outlined is-fullwidth"
        :to="{ name: 'editUser', params: { id: user._id } }"
      >
        <span class="name has-text-weight-bold"
          >{{ user.firstName }} {{ user.lastName }}</span
        >
        ( {{ user.email }} )
      </router-link>
    </li>
  </ul>
</template>

<script>
import { mapGetters, mapActions } from "vuex";

export default {
  name: "UsersList",
  methods: mapActions(["GET_USERS"]),
  computed: mapGetters(["USERS"]),
  created() {
    this.GET_USERS();
  }
};
</script>
